Page MenuHomePhabricator

[Driver] Move detectLibcxxIncludePath to ToolChain
AcceptedPublic

Authored by phosek on Sep 28 2020, 2:53 PM.

Details

Summary

This helper method is useful even outside of Gnu toolchains, so move
it to ToolChain so it can be reused in other toolchains such as Fuchsia.

Diff Detail

Event Timeline

phosek created this revision.Sep 28 2020, 2:53 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 28 2020, 2:53 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
phosek requested review of this revision.Sep 28 2020, 2:53 PM
leonardchan accepted this revision.Sep 28 2020, 3:08 PM
This revision is now accepted and ready to land.Sep 28 2020, 3:08 PM
This revision was landed with ongoing or failed builds.Oct 2 2020, 2:24 PM
This revision was automatically updated to reflect the committed changes.

Breaks tests on windows: http://45.33.8.238/win/25123/step_7.txt

Please take a look, and revert if it takes a while to fix.

phosek reopened this revision.Oct 7 2020, 3:16 PM
This revision is now accepted and ready to land.Oct 7 2020, 3:16 PM
phosek updated this revision to Diff 296813.Oct 7 2020, 3:16 PM